Skip to main content
GET
Variance Risk Premium Windows

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A single ticker

Example:

"AAPL"

Query Parameters

date
string

A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date.

Example:

"2024-01-18T00:00:00.000Z"

history_days
integer
default:365

Return volatility window rows from this many calendar days before the requested date.

Required range: 1 <= x <= 365
Example:

30

Response

A variance risk premium calculated as implied volatility minus realized volatility for mapped horizons.

date
string<date>
Example:

"2026-08-10T00:00:00.000Z"

implied_volatility
string
Example:

"0.263456"

implied_volatility_days
integer
Example:

30

rank
string | null

The percentile rank among values for the same ticker and horizon pair that completed during the preceding year. Values range from 0 to 1. The value is null when a rank has not been calculated.

Example:

"0.75"

realized_date
string<date>
Example:

"2026-09-08T00:00:00.000Z"

realized_volatility
string
Example:

"0.213456"

realized_volatility_days
integer
Example:

21

risk_premium
string
Example:

"0.05"

ticker
string
Example:

"AAPL"

Last modified on September 29, 2026